package com.example.modifier.http.api

import io.ktor.resources.Resource

@Resource("api/rcs-number")
class RcsNumberApi() {

    @Resource("{id}")
    class Id(val parent: RcsNumberApi = RcsNumberApi(), val id: Long) {
        @Resource("delete")
        class Delete(val parent: Id)

        @Resource("otpState")
        class OtpState(val parent: Id)

        @Resource("configured")
        class Configured(val parent: Id)
    }
}